Installing xburst-tools wrong package architecture?

Rafael Ignacio Zurita rafaelignacio.zurita at gmail.com
Wed Dec 22 09:08:03 EST 2010


On Wed, Dec 22, 2010 at 02:23:17PM +0100, David Kuehling wrote:
> 
> > That's correct David, I should have been more specific. LPIA is "Low
> > Power Intel Architecture," so I just have to figure out how to get
> > dpkg to ignore the difference. In the meantime I've got the update
> > going, on a less convenient to use, i386 desktop.
> 
> If you cannot ignore the package arch, what about re-building the
> package?  Get the source package, install the debian build helpers and
> and do a dpkg-buildpackage.  Then you get a .deb package tailored for
> your system.

dpkg has --force-help and you can avoid the arch thing. And if you still
can not, then you can extract the files package contains manually,
and install them manually as well (relly bad idea for me, but that would work) :

mkdir /tmp/paq
dpkg -x xburst-tools...deb /tmp/paq
and you will have the extracted files under /tmp/paq

Check /tmp/paq/etc/, /tmp/paq/usr/bin/ and /tmp/paq/usr/share/xburst-tools/
Those contain the important files of the package.

Rafa




More information about the discussion mailing list


interactive